Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Class MonitorNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.monitor.MonitorNotification

public class MonitorNotification
extends Notification

This class provides definitions of the notifications sent by Monitor MBeans.

The notification source and a set of parameters concerning the Monitor MBean's state need to be specified when creating a new object of this class. The list of notifications fired by the Monitor MBeans is the following:

- Common to all kind of monitors:
  - The observed object is not registered in the MBean server.
  - The observed attribute is not contained in the observed object.
  - The type of the observed attribute is not correct.
  - Any exception (except the cases described above) occurs when trying to get the value of the observed attribute.
- Common to the counter and the gauge monitors:
  - The threshold high or threshold low are not of the same type as the gauge or the threshold high value is less than the threshold low value (gauge monitors).
  - The threshold or the offset or the modulus are not of the same type as the counter (counter monitors).
- Counter monitors only:
  - The observed attribute has reached the threshold value.
- Gauge monitors only:
  - The observed attribute has exceeded the threshold high value.
  - The observed attribute has exceeded the threshold low value.
- String monitors only:
  - The observed attribute has matched the "string to compare" value.
  - The observed attribute has differed from the "string to compare" value.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `OBSERVED_ATTRIBUTE_ERROR` Notification type denoting that the observed attribute is not contained in the observed object.
`static java.lang.String` | `OBSERVED_ATTRIBUTE_TYPE_ERROR` Notification type denoting that the type of the observed attribute is not correct.
`static java.lang.String` | `OBSERVED_OBJECT_ERROR` Notification type denoting that the observed object is not registered in the MBean server.
`static java.lang.String` | `RUNTIME_ERROR` Notification type denoting that a non-predefined error type has occured when trying to get the value of the observed attribute.
`static java.lang.String` | `STRING_TO_COMPARE_VALUE_DIFFERED` Notification type denoting that the observed attribute has differed from the "string to compare" value.
`static java.lang.String` | `STRING_TO_COMPARE_VALUE_MATCHED` Notification type denoting that the observed attribute has matched the "string to compare" value.
`static java.lang.String` | `THRESHOLD_ERROR` Notification type denoting that the type of the threshold, offset or modulus (counter monitors) is not correct or that the threshold high value is less than the threshold low value (gauge monitors).
`static java.lang.String` | `THRESHOLD_HIGH_VALUE_EXCEEDED` Notification type denoting that the observed attribute has exceeded the threshold high value.
`static java.lang.String` | `THRESHOLD_LOW_VALUE_EXCEEDED` Notification type denoting that the observed attribute has exceeded the threshold low value.
`static java.lang.String` | `THRESHOLD_VALUE_EXCEEDED` Notification type denoting that the observed attribute has reached the threshold value.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MonitorNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.util.Date timeStamp, java.lang.String msg, ObjectName obsObj, java.lang.String obsAtt, java.lang.Object derGauge, java.lang.Object trigger)` Creates a monitor notification object.

Method Summary
`java.lang.Object` | `getDerivedGauge()` Gets the derived gauge of this monitor notification.
`java.lang.String` | `getObservedAttribute()` Gets the observed attribute of this monitor notification.
`ObjectName` | `getObservedObject()` Gets the observed object of this monitor notification.
`java.lang.Object` | `getTrigger()` Gets the threshold/string (depending on the monitor type) that triggered off this monitor notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBSERVED_OBJECT_ERROR

    public static final java.lang.String OBSERVED_OBJECT_ERROR

  Notification type denoting that the observed object is not registered in the MBean server. This notification is fired by all kind of monitors.
  The value of this notification type is `jmx.monitor.error.mbean`.

### OBSERVED_ATTRIBUTE_ERROR

    public static final java.lang.String OBSERVED_ATTRIBUTE_ERROR

  Notification type denoting that the observed attribute is not contained in the observed object. This notification is fired by all kind of monitors.
  The value of this notification type is `jmx.monitor.error.attribute`.

### OBSERVED_ATTRIBUTE_TYPE_ERROR

    public static final java.lang.String OBSERVED_ATTRIBUTE_TYPE_ERROR

  Notification type denoting that the type of the observed attribute is not correct. This notification is fired by all kind of monitors.
  The value of this notification type is `jmx.monitor.error.type`.

### THRESHOLD_ERROR

    public static final java.lang.String THRESHOLD_ERROR

  Notification type denoting that the type of the threshold, offset or modulus (counter monitors) is not correct or that the threshold high value is less than the threshold low value (gauge monitors). This notification is fired by counter and gauge monitors.
  The value of this notification type is `jmx.monitor.error.threshold`.

### RUNTIME_ERROR

    public static final java.lang.String RUNTIME_ERROR

  Notification type denoting that a non-predefined error type has occured when trying to get the value of the observed attribute. This notification is fired by all kind of monitors.
  The value of this notification type is `jmx.monitor.error.runtime`.

### THRESHOLD_VALUE_EXCEEDED

    public static final java.lang.String THRESHOLD_VALUE_EXCEEDED

  Notification type denoting that the observed attribute has reached the threshold value. This notification is only fired by counter monitors.
  The value of this notification type is `jmx.monitor.counter.threshold`.

### THRESHOLD_HIGH_VALUE_EXCEEDED

    public static final java.lang.String THRESHOLD_HIGH_VALUE_EXCEEDED

  Notification type denoting that the observed attribute has exceeded the threshold high value. This notification is only fired by gauge monitors.
  The value of this notification type is `jmx.monitor.gauge.high`.

### THRESHOLD_LOW_VALUE_EXCEEDED

    public static final java.lang.String THRESHOLD_LOW_VALUE_EXCEEDED

  Notification type denoting that the observed attribute has exceeded the threshold low value. This notification is only fired by gauge monitors.
  The value of this notification type is `jmx.monitor.gauge.low`.

### STRING_TO_COMPARE_VALUE_MATCHED

    public static final java.lang.String STRING_TO_COMPARE_VALUE_MATCHED

  Notification type denoting that the observed attribute has matched the "string to compare" value. This notification is only fired by string monitors.
  The value of this notification type is `jmx.monitor.string.matches`.

### STRING_TO_COMPARE_VALUE_DIFFERED

    public static final java.lang.String STRING_TO_COMPARE_VALUE_DIFFERED

  Notification type denoting that the observed attribute has differed from the "string to compare" value. This notification is only fired by string monitors.
  The value of this notification type is `jmx.monitor.string.differs`.

Constructor Detail

### MonitorNotification

    public MonitorNotification(java.lang.String type,
                               java.lang.Object source,
                               long sequenceNumber,
                               java.util.Date timeStamp,
                               java.lang.String msg,
                               ObjectName obsObj,
                               java.lang.String obsAtt,
                               java.lang.Object derGauge,
                               java.lang.Object trigger)

  Creates a monitor notification object.
  Parameters:
    `type` - The notification type.
    `source` - The notification producer.
    `sequenceNumber` - The notification sequence number within the source object.
    `timeStamp` - The notification emission date.
    `msg` - The notification message.
    `obsObj` - The object observed by the producer of this notification.
    `obsAtt` - The attribute observed by the producer of this notification.
    `derGauge` - The derived gauge.
    `trigger` - The threshold/string (depending on the monitor type) that triggered off the notification.

Method Detail

### getObservedObject

    public ObjectName getObservedObject()

  Gets the observed object of this monitor notification.
  Returns:
    The observed object.

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Gets the observed attribute of this monitor notification.
  Returns:
    The observed attribute.

### getDerivedGauge

    public java.lang.Object getDerivedGauge()

  Gets the derived gauge of this monitor notification.
  Returns:
    The derived gauge.

### getTrigger

    public java.lang.Object getTrigger()

  Gets the threshold/string (depending on the monitor type) that triggered off this monitor notification.
  Returns:
    The trigger.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD